<div>
  <div class="mb-4">
    <div class="input-item">
      <span>Email<sup> *</sup></span>
      <input type="email"
             placeholder="Введите email"
             pInputText
             [ngClass]="{'empty-field': !email}"
             [(ngModel)]="email"/>
    </div>
    <div class="input-item">
      <span>Пароль<sup> *</sup></span>
      <input type="password"
             placeholder="Введите пароль"
             pInputText
             [ngClass]="{'empty-field': !password}"
             [(ngModel)]="password"/>
    </div>
    <div class="mb-4">
      <p-checkbox label="Войти как администратор"
                  [binary]="true"
                  [(ngModel)]="isSelected">
      </p-checkbox>
    </div>
    <div *ngIf="isSelected"
         class="input-item">
      <input type="password"
             placeholder="Введите ключ доступа"
             pInputText
             [(ngModel)]="key"/>
  </div>

  <div class="form-caption">
    <p>* поля являются обязательными</p>
  </div>

  <div>
    <button type="submit"
            (click)="login()"
            [disabled]="!email || !password"
            class="btn btn-primary w-100">
      Войти
    </button>
  </div>
</div>
